Subject: Re: bug#31207: 26; Doc strings of commands and other functions of `replace.el'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 09 Oct 2019 13:14:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 8 Oct 2019 07:37:18 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> >     Drew> If you feel that this bug is completely fixed in
> >     Drew> Emacs 27, please close it as "fixed".  Thx.
> > 
> > I canʼt answer that, because I donʼt know which of the defuns in
> > replace.el you feel are underdocumented. Please donʼt say 'all of
> > them'.
> 
> Any doc string that does not describe all of
> the function arguments, either directly or
> indirectly (by referencing another doc string).
> 
> This is nothing new.  Function doc strings
> should describe the arguments.  That's all.

What an unhelpful response.  Do you realize how such responses shoot
yourself (and us) in the foot by preventing well-meaning contributors
from fixing your bug reports?

I fixed the doc strings in all functions except perform-replace.  The
latter is clearly an internal function, and its doc string says so.